cURL
curl --request PATCH \
--url https://api.mottostreaming.com/monetization/ads/v1/video_ads/{video_ad_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_ad_id": "<string>",
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/monetization/ads/v1/video_ads/{video_ad_id}"
payload = {
"video_ad_id": "<string>",
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({video_ad_id: '<string>', update_mask: '<string>'})
};
fetch('https://api.mottostreaming.com/monetization/ads/v1/video_ads/{video_ad_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video_ad": {
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"ad_manifest": {
"title": "<string>",
"video_files": [
{
"config": {
"asset_id": "<string>"
}
}
],
"aspect_ratio": "<string>",
"duration_seconds": 123,
"allow_skip_after_seconds": 123,
"clickthrough_url": "<string>",
"impression_tracking_url": "<string>",
"error_tracking_url": "<string>"
},
"ad_tag_url": "<string>",
"geo_applicability_exempt": {
"country_codes": [
"<string>"
]
},
"geo_applicability_apply": {
"country_codes": [
"<string>"
]
},
"applies_to_all": true,
"target": {
"entity_ids": [
"<string>"
],
"event_ids": [
"<string>"
],
"creative_work_ids": [
"<string>"
],
"content_start_time": "2023-11-07T05:31:56Z",
"content_end_time": "2023-11-07T05:31:56Z",
"video_ids": [
"<string>"
]
},
"filter": {
"filter_events": "<string>",
"filter_creative_works": "<string>"
},
"priority": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Video Ads
Update video ad
UpdateVideoAd
Updates a video_ad. When updating a video_ad that is already attached to one or more videos, this change will apply to all of those videos (including past ones).
These changes apply asynchronously and may take a bit of time to propagate.
PATCH
/
monetization
/
ads
/
v1
/
video_ads
/
{video_ad_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
Show child attributes
Show child attributes
⌘I

